Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web
Class RequestHandler

    java.lang.Object
      com.bea.web.RequestHandler

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractDesignTimeRequestHandler

    public class RequestHandler

extends Object
implements Serializable

A base class for developing HTML form handlers. The controller servlet com.bea.web.ControllerServlet can be configured to delegate the processing of an HTML form to this request handler.

See Also:
  Serialized Form

Nested Class Summary
`class` | `RequestHandler.PageLinkage` Utility class describing the previous and next page for any given page.

Constructor Summary
`RequestHandler()`

Method Summary
`String` | `appendNullableParameterToURL(String url, String parameter, String value)` Helper method to append a parameter to a URL.
`void` | `clear()`
`boolean` | `containsField(String strField)`
`void` | `debug()`
`String` | `get(String strKey)`
`String` | `getAdditionalExceptionMessages(Throwable t)` A method that gets called when the controller servlet is generating an error message from an exception.
`String` | `getAndRemove(String strKey)`
`String` | `getContent(String strContentKey)`
`String` | `getContent(String strContentKey, Object objInfo)`
`String` | `getContent(String strContentKey, Object[] aObjInfo)`
`FormFieldPair` | `getFormFieldPair(String strKey)`
`String` | `getLogConfigFile()`
`LogContext` | `getLogContext()`
`ILogger` | `getLogger()`
`String` | `getMessageBundleBase()`
`ResourceBundle` | `getResourceBundle()`
`UserAgent` | `getUserAgent()`
`String` | `getUserName()`
`protected void` | `init(ServletContext servletContext)` By default, this method does nothing...however, subclasses can override this method to do any initialization using Servlet initial parameters.
`RequestHandler.PageLinkage` | `peekPageLinkage()` Peek at the current 'page linkage' object on the top of the page stack.
`RequestHandler.PageLinkage` | `popPageLinkage()` Pop the top 'page linkage' object off the page stack.
`void` | `pushPageLinkage(RequestHandler.PageLinkage pl)` Push a new 'page linkage' object onto the page stack.
`void` | `pushPageLinkage(String prevPage, String nextPage, String currentPage)` Utility method that creates a new PageLinkage and then calls pushPageLinkage with the newly created instance.
`String` | `read(String strKey, HttpServletRequest request)`
`void` | `remove(String strKey)`
`void` | `set(String strKey, String strValue, String strError)`
`void` | `setLocale(Locale locale)`
`void` | `setLogConfigFile(String strLogConfigFile)`
`void` | `setLogContextName(String strLogContextName)`
`void` | `setMessageBundleBase(String strMessageBundleBase)`
`void` | `setUserAgent(UserAgent userAgent)`
`void` | `setUserName(String strUserName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestHandler

    public RequestHandler()

Method Detail

### getAdditionalExceptionMessages

    public String getAdditionalExceptionMessages(Throwable t)

  A method that gets called when the controller servlet is generating an error message from an exception. It allows sub-classes to extract any linked exceptions from `t` and include their message on the message displayed to the user.

### setUserName

    public void setUserName(String strUserName)

### getUserName

    public String getUserName()

### getUserAgent

    public UserAgent getUserAgent()

### setUserAgent

    public void setUserAgent(UserAgent userAgent)

### setMessageBundleBase

    public void setMessageBundleBase(String strMessageBundleBase)

### getMessageBundleBase

    public String getMessageBundleBase()

### setLogConfigFile

    public void setLogConfigFile(String strLogConfigFile)

### getLogConfigFile

    public String getLogConfigFile()

### setLocale

    public void setLocale(Locale locale)

### getResourceBundle

    public ResourceBundle getResourceBundle()

### getLogger

    public ILogger getLogger()

### getLogContext

    public LogContext getLogContext()

### setLogContextName

    public void setLogContextName(String strLogContextName)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### debug

    public void debug()

### getFormFieldPair

    public FormFieldPair getFormFieldPair(String strKey)

### getContent

    public String getContent(String strContentKey)

### getContent

    public String getContent(String strContentKey,
                             Object objInfo)

### getContent

    public String getContent(String strContentKey,
                             Object[] aObjInfo)

### containsField

    public boolean containsField(String strField)

### get

    public String get(String strKey)

### read

    public String read(String strKey,
                       HttpServletRequest request)

### remove

    public void remove(String strKey)

### getAndRemove

    public String getAndRemove(String strKey)

### set

    public void set(String strKey,
                    String strValue,
                    String strError)

### clear

    public void clear()

### init

    protected void init(ServletContext servletContext)
                 throws Exception

  By default, this method does nothing...however, subclasses can override this method to do any initialization using Servlet initial parameters.

  Throws:
    `Exception`

### popPageLinkage

    public RequestHandler.PageLinkage popPageLinkage()

  Pop the top 'page linkage' object off the page stack. This page linkage object gives the desired previous and next page URL (or content page) values for the current page. Request handlers should construct their page traversal logic to use the prev/next page as appropriate.

  Returns:
    the top 'page linkage' object on the page stack or null if none has been set via pushPageLinkage.

### pushPageLinkage

    public void pushPageLinkage(RequestHandler.PageLinkage pl)

  Push a new 'page linkage' object onto the page stack. This page linkage object gives the desired previous and next page URL (or content page) values for the current page. Request handlers should construct their page traversal logic to use the prev/next page as appropriate.

  Parameters:
    `page` - The 'page linkage' object to push on the page stack. The prevPage and nextPage values can be fully qualified URLs or 'content' page names for consumption by the the web app's 'display' page.

### pushPageLinkage

    public void pushPageLinkage(String prevPage,
                                String nextPage,
                                String currentPage)

  Utility method that creates a new PageLinkage and then calls pushPageLinkage with the newly created instance.

### peekPageLinkage

    public RequestHandler.PageLinkage peekPageLinkage()

  Peek at the current 'page linkage' object on the top of the page stack. This page linkage object gives the desired previous and next page URL (or content page) values for the current page. Request handlers should construct their page traversal logic to use the prev/next page as appropriate.

  Returns:
    the top 'page linkage' object on the page stack or null if none has been set via pushPageLinkage.

### appendNullableParameterToURL

    public String appendNullableParameterToURL(String url,
                                               String parameter,
                                               String value)

  Helper method to append a parameter to a URL. The parameter is allowed to be null, in which case, it is not appended to the URL. This value is URL encoded automatically, so the caller does not need to worry about doing the URL encoding.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD